<?php

/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHPFusionMods.com
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION"))
{
    die("Access Denied");
}

if (file_exists(INFUSIONS . "favicon_panel/locale/" . $settings['locale'] .
    ".php"))
{
    include INFUSIONS . "favicon_panel/locale/English.php";
    include INFUSIONS . "favicon_panel/locale/" . $settings['locale'] . ".php";
} else
{
    include INFUSIONS . "favicon_panel/locale/English.php";
}

$inf_title = $favicon_locale['title'];
$inf_description = $favicon_locale['desc'];
$inf_version = "1.0";
$inf_developer = "<a href='http://www.php-fusion.co.uk/profile.php?lookup=16282' target='_blank'>Brandon Davis (NetriX)</a>";
$inf_email = "netrix@phpfusionmods.com";
$inf_weburl = "http://phpfusionmods.com";
$inf_folder = "favicon_panel";

replace_in_output("<span title=\'{$favicon_locale['desc']}\' style=\'cursor:hand;\'>{$favicon_locale['title']}</span>",
    "<img src=\'" . ADMIN . "images/favicon.png\' width=\'28px\' height=\'28px\' style=\'margin-right: 3px; float: left;\' border=\'0\' /><strong>{$favicon_locale['title']}</strong><br /><a href=\'http://phpfusionmods.com\' target=\'_blank\'>PHPFusionMods.com</a>");

$inf_newtable[1] = DB_PREFIX . "favicon (
enabled tinyint(1) NOT NULL DEFAULT '0',
favicon varchar(80) NOT NULL DEFAULT 'favicon.ico'
) ENGINE=MyISAM;";


$inf_insertdbrow[1] = DB_MESSAGES .
    " (message_to, message_from, message_subject, message_message, message_smileys, message_read, message_datestamp, message_folder) VALUES('" .
    $userdata['user_id'] . "','" . $userdata['user_id'] . "','" . stripinput($favicon_locale['title']) .
    "','" . stripinput($favicon_locale['message']) . "','n','0','" . time() .
    "','0')";

$inf_insertdbrow[2] = DB_PREFIX .
    "favicon (enabled, favicon) VALUES ('1', 'favicon.ico')";

$inf_insertdbrow[3] = DB_PANELS .
    " (panel_name, panel_filename, panel_side, panel_type, panel_access, panel_display, panel_status, panel_restriction) VALUES ('" .
    $favicon_locale['title'] .
    "', 'favicon_panel', '2', 'file', '0', '1', '1', '0')";

$inf_droptable[1] = DB_PREFIX . "favicon";

$inf_deldbrow[1] = DB_SETTINGS_INF . " WHERE settings_inf='" . $inf_folder . "'";
$inf_deldbrow[2] = DB_ADMIN . " WHERE admin_rights='FVC'";
$inf_deldbrow[3] = DB_PANELS . " WHERE panel_filename='favicon_panel'";

$inf_adminpanel[1] = array(
    "title" => "{$favicon_locale['title']}",
    "image" => "favicon.png",
    "panel" => "index.php",
    "rights" => "FVC");

?>