<?php

/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHPFusionMods.com
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES . "templates/header.php";

if (file_exists(INFUSIONS . "favicon_panel/locale/" . $settings['locale'] .
    ".php"))
{
    include INFUSIONS . "favicon_panel/locale/English.php";
    include INFUSIONS . "favicon_panel/locale/" . $settings['locale'] . ".php";
} else
{
    include INFUSIONS . "favicon_panel/locale/English.php";
}

if (!checkrights("FVC") || !$_GET['aid'] || !defined("iAUTH") || $_GET['aid'] !=
    iAUTH || !iADMIN)
{
    redirect(BASEDIR."index.php") . die("Access Denied");
}

$status = false;
$count = 0;
$amount = 8;

if (isset($_POST['update']))
{
    (isset($_POST['enabled']) ? $_POST['enabled'] = (int)$_POST['enabled'] : $_POST['enabled'] =
        0);
    (isset($_POST['favicon']) ? $_POST['favicon'] = stripinput($_POST['favicon']) :
        $_POST['favicon'] = "favicon.ico");
    dbquery("UPDATE " . DB_PREFIX . "favicon SET enabled='" . $_POST['enabled'] .
        "', favicon='" . $_POST['favicon'] . "'");

    if ($_POST['enabled'] == 1)
    {
        dbquery("DELETE FROM " . DB_PANELS . " WHERE panel_filename='favicon_panel'");
        dbquery("INSERT INTO " . DB_PANELS .
            " (panel_name, panel_filename, panel_side, panel_type, panel_access, panel_display, panel_status, panel_restriction) VALUES ('" .
            $favicon_locale['title'] .
            "', 'favicon_panel', '2', 'file', '0', '1', '1', '0')");
    }
    if ($_POST['enabled'] == 0)
    {
        dbquery("DELETE FROM " . DB_PANELS . " WHERE panel_filename='favicon_panel'");
    }

}

$query = dbquery("SELECT * FROM " . DB_PREFIX . "favicon");
while ($data = dbarray($query))
{
    $favicon = $data['favicon'];
    $enabled = $data['enabled'];
}


opentable($favicon_locale['opentable']);
echo "<form name='form_settings' id='form_settings' method='post' action='" .
    FUSION_SELF . $aidlink . "' enctype='multipart/form-data'>\n";
echo "<table style='width: 500px; padding: 0; text-align: center;' cellspacing='1' class='tbl-border center'>\n<tr>\n";
echo "<td colspan='{$amount}' class='forum-caption' style='padding:8px;'>{$favicon_locale['choose']}</td></tr><tr>\n";

$handle = opendir('icons/');
while (false !== ($file = readdir($handle)))
{
    if ($file != '.' && $file != '..' && $file != 'index.php')
    {
        $files[] = $file;
    }
}
closedir($handle);
foreach ($files as $file)
{
    if ($count != 0 && ($count % $amount == 0))
    {
        echo "</tr>\n<tr>\n";
        $count == 0;
    }
    $class = ($count % 2 == 0 ? "tbl1" : "tbl2");
    echo "<td class='{$class}'>";
    echo "<input type='radio' value='{$file}'" . ($favicon == $file ?
        " checked='checked'" : "") . " name='favicon' /><img src='icons/{$file}' alt='' style='width: 16px; height: 16px; margin-left: 3px;' />";
    echo "</td>";
    $count++;
}
echo "</tr>\n<tr>\n";
echo "<td class='forum-caption' colspan='{$amount}' style='padding:8px;'>\n";
echo $favicon_locale['save'];
echo "</td>\n</tr>\n<tr>\n";
echo "<td class='tbl' colspan='{$amount}' style='text-align:center;'>\n";
echo "<input type='radio' value='0' name='enabled'" . ($enabled == 0 ?
    " checked='checked'" : "") . " />{$favicon_locale['disable']}\n";
echo "<input type='radio' value='1' name='enabled'" . ($enabled == 1 ?
    " checked='checked'" : "") . " />{$favicon_locale['enable']}\n";
echo "</td>\n</tr>\n<tr>\n";
echo "<td class='forum-caption' colspan='{$amount}'>\n";
echo "<input type='submit' name='update' value='{$favicon_locale['button']}' class='button' />\n";
echo "</td>\n</tr>\n";
echo "<tr><td class='tbl' style='text-align: right;' colspan='{$amount}'><i>&copy; NetriX - PHPFusionMods.com</i></td></tr>";
echo "</table>";
echo "</form>\n";
closetable();

require_once THEMES . "templates/footer.php";

?>